	program do_cycle
	implicit none
	real*8 a(3,3), atrasp(3,3), vx(3), vy(3), vz(3)
	integer i, j
		
	open (unit = 50, file = 'matriz.dat', status = 'old')
	read (50,*)
	do i = 1, 3
	read(50,*) a(i,:)
c	read(50,*) (a(i,j), j=1,3)
	end do
	
	do i = 1, 3
	do j = 1, 3
	atrasp(j,i) = a(i,j)
	end do
	end do

	rewind(50)

	read(50,*)
	do i= 1,3
	read(50,*) vx(i), vy(i), vz(i)
	end do
	
	write(*,*) 'matriz'
	do i= 1,3
	write(*,*) a(i,:)
c	write(*,*) (a(i,j), j=1,3)
	end do

	write(*,*) '    vx				vy				vz'
	do  i = 1,3 
	write(*,*) vx(i), vy(i), vz(i)
	end do

	end program
	
